<!-- NUEVO MONITOR TRANSACCION -->

<!DOCTYPE html>
<html lang="es">
<head>
  <meta charset="UTF-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>Dashboard</title>
  <link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/bootstrap@5.2.3/dist/css/bootstrap.min.css" integrity="sha384-rbsA2VBKQhggwzxH7pPCaAqO46MgnOM80zW1RWuH61DGLwZJEdK2Kadq2F9CUG65" crossorigin="anonymous">
  <link rel="stylesheet" href="transaccion.component.css">
</head>
<body>
  <div class="d-flex flex-grow-1">
    <nav class="col-md-2 vertical-nav bg-dark text-white">
      <ul class="nav-menu list-unstyled">
        <li class="nav-item">
          <a class="nav-link-active" href="#">
            <h1 class="fa fa-file-text"></h1> Sistema de Monitoreo
          </a>
        </li>
        <li class="nav-item">
          <a class="nav-link" href="#" onclick="location.href='dashboard.html'"><i class="fa fa-home">Regresar</i>
          </a>
        </li>
        <li class="nav-item">
          <a class="nav-link" href="/login">
            <i class="fa fa-file-text"></i> Configuracion
          </a>
        </li>
        <li class="nav-item">
          <a class="nav-link" href="/login">
            <i class="fa fa-file-text"></i> Inicio
          </a>
        </li>
      </ul>
    </nav>

    <div class="col-md-10 main-content p-2">
      <div class="row mt-3">
        <div class="col-md-12">
          <h2 class="text-primary mb-2">Monitor Transacciones</h2>
        </div>
        <div class="col-md-12">
          <table class="table table-striped table-bordered">
            <thead>
              <tr class="text-white">
                <th scope="col">id_transaccion</th>
                <th scope="col">banco</th>
                <th scope="col">rif</th>
                <th scope="col">periodo</th>
                <th scope="col">monto</th>
                <th scope="col">codigo_procesada</th>
                <th scope="col">nro_documento</th>
                <th scope="col">forma_documento</th>
                <th scope="col">id_usuario</th>
                <th scope="col">agencia</th>
                <th scope="col">tipo_transaccion</th>
                <th scope="col">fecha_transaccion</th>
                <th scope="col" class="text-center">Acciones</th>
              </tr>
            </thead>
            <tbody>
              <tr *ngFor="let transaccion of transaccions">
                <td>{{transaccion.id_transaccion}}</td>
                <td>{{transaccion.banco}}</td>
                <td>{{transaccion.rif}}</td>
                <td>{{transaccion.periodo}}</td>
                <td>{{transaccion.monto}}</td>
                <td>{{transaccion.codigo_procesada}}</td>
                <td>{{transaccion.nro_documento}}</td>
                <td>{{transaccion.forma_documento}}</td>
                <td>{{transaccion.id_usuario}}</td>
                <td>{{transaccion.agencia}}</td>
                <td>{{transaccion.tipo_transaccion}}</td>
                <td>{{transaccion.fecha_transaccion}}</td>
                <td>
                      <td>
                        <button class="btn btn-sm btn-info" (click)="obtenerlistarTodasLasTransaccion(transaccion)">Ver Detalle</button>
                        <button class="btn btn-sm btn-warning" (click)="actualizarTransaccion(transaccion)">Editar</button>
                        <button class="btn btn-sm btn-danger" (click)="eliminarTransaccion(transaccion)">Eliminar</button>
                      </td>
                    </tr> 
                  </tbody>
                </table>                
            </div>
            </div>
          </div>
         </div>



</body>
</html> 
